echo off
cls
if exist batchio.exe goto OK
echo BATCHIO.EXE not found in root directory
goto FIN
:OK
batchio frame "Batch I/O",15,1
batchio print ""
batchio center "by",14
batchio print ""
batchio center "Leithauser Research"
batchio sound 200,.7,400,.6,600,.5,800,.4,1000,.3,1200,.2
batchio locate 13
batchio ask "Do you want to continue (Y/N)?","YN",13
if errorlevel 2 goto FIN2
batchio windask "Press space bar to continue."," ",0,2
batchio locate 15,24
batchio print "Press any key to stop this noise.",25
batchio sound 300,1,600,1,r
batchio locate 15,24
batchio print "   Select option of your choice   "
batchio menu "Red","Blue","Green"
if errorlevel 3 goto C3
if errorlevel 2 goto C2
batchio print "You chose red",12
goto windmenu
:C3
batchio print "You chose green",10
goto windmenu
:C2
batchio print "You chose blue",9
:windmenu
batchio windmenu "Choice one","Choice two","Choice three"
if errorlevel 3 goto C3B
if errorlevel 2 goto C2B
batchio print "You chose one"
goto FIN
:C3B
batchio print "You chose three"
goto FIN
:C2B
batchio print "You chose two"
:FIN
batchio print ""
batchio center "Batch file is now pausing until you press a key or mouse button."
batchio pause
cls
batchio box 5,5,75,20,bright white,dark blue
batchio locate 12,35
batchio print "All done!",flashing red,1
batchio locate 23,1
:FIN2
